Name:       rbenv
Version:    1.1.1
Release:    1.2
BuildArch:  noarch
License:    MIT
Group:      Development/Languages/Ruby
Url:        https://github.com/rbenv/rbenv
Summary:    Simple Ruby version Management
Source0:    rbenv-%{version}.tar.gz
Requires:   bash
Conflicts:  rvm
Recommends: ruby-build
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
rbenv does…

- Let you change the global Ruby version on a per-user basis.
- Provide support for per-project Ruby versions.
- Allow you to override the Ruby version with an environment variable.

In contrast with rvm, rbenv does not…

- Need to be loaded into your shell. Instead, rbenv's shim approach works by adding a directory to your $PATH.
- Override shell commands like cd. That's dangerous and error-prone.
- Have a configuration file. There's nothing to configure except which version of Ruby you want to use.
- Install Ruby. You can build and install Ruby yourself, or use ruby-build to automate the process.
- Manage gemsets. Bundler is a better way to manage application dependencies. If you have projects that are not yet using Bundler you can install the rbenv-gemset plugin.
- Require changes to Ruby libraries for compatibility. The simplicity of rbenv means as long as it's in your $PATH, nothing else needs to know about it.
- Prompt you with warnings when you switch to a project. Instead of executing arbitrary code, rbenv reads just the version name from each project. There's nothing to "trust."

%prep
%setup -q

%build

%install
%__mkdir_p %{buildroot}%{_bindir}
cp bin/* %{buildroot}%{_bindir}

%__mkdir_p %{buildroot}%{_bindir}
cp libexec/* %{buildroot}%{_bindir}

%__mkdir_p %{buildroot}%{_sysconfdir}/bash_completion.d

%__mkdir_p %{buildroot}%{_datadir}/%{name}/completions
cp completions/* %{buildroot}%{_datadir}/%{name}/completions

sed -i 's|$root/completions|%{_datadir}/%{name}/completions|g' %{buildroot}%{_bindir}/rbenv-init

%files
%defattr(-,root, root)
%{_bindir}/rb*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*


%changelog
* Fri Feb  9 2018 michele.bologna@suse.com
- Update to 1.1.1
- Changelog: https://github.com/rbenv/rbenv/releases/tag/v1.1.1
* Tue Mar 14 2017 mamorales@suse.com
- update to 1.1.0
- see https://github.com/rbenv/rbenv/releases/tag/v1.1.0
* Wed Dec 30 2015 dmacvicar@suse.de
- update to 1.0.0
- see https://github.com/rbenv/rbenv/releases/tag/v1.0.0
* Fri Oct 18 2013 dmacvicar@suse.de
- update to 0.4.0
* Wed Jan  4 2012 dmacvicar@suse.de
- update to 0.3.0
* Wed Jan  4 2012 dmacvicar@suse.de
- add BuildRoot tag
* Thu Dec  8 2011 dmacvicar@suse.de
- sync with git master
* Thu Nov 24 2011 dmacvicar@suse.de
- Move completions to /usr/share/rbenv/completions
- remove patch for completions and just modify rbenv-init
  to ouput the right path.
* Wed Nov 16 2011 dmacvicar@suse.de
- patch rbenv-init to not source completions as we install them
  in completions.d
* Wed Nov 16 2011 dmacvicar@suse.de
- initial package for 0.2.1
